#
# spec file for package perl-Text-Iconv
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Text-Iconv
Name:           perl-Text-Iconv
Version:        1.700.0
Release:        1.1
# 1.7 -> normalize -> 1.700.0
%define cpan_version 1.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Perl interface to iconv() codeset conversion function
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MP/MPIOTR/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Text::Iconv) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
The *Text::Iconv* module provides a Perl interface to the iconv() function
as defined by the Single UNIX Specification.

The convert() method converts the encoding of characters in the input
string from the _fromcode_ codeset to the _tocode_ codeset, and returns the
result.

Settings of _fromcode_ and _tocode_ and their permitted combinations are
implementation-dependent. Valid values are specified in the system
documentation; the iconv(1) utility should also provide a *-l* option that
lists all supported codesets.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon Feb 10 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Fri Nov 18 2011 coolo@suse.com
- use original tar
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jul 28 2009 coolo@novell.com
- merge factory and build service package
* Wed Jul 15 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
* Tue Jun  2 2009 lars@linux-schulserver.de
- update to version 1.7
  * Output buffer was always initialized to 5 bytes--this was
    just for testing, but I'd forgotten to revert back to the
    original code (detected via a bug report by Aldo LeTellier).
  * Added get_attr() and set_attr() methods.  They provide an
    interface to the iconvctl() function of GNU libiconv.
  * In Iconv.xs, moved the variable declarations in
    ti_set_attr() and ti_get_attr() into the PREINIT: section.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 cthiel@suse.de
- update to version 1.4
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 coolo@suse.de
- fix build
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
- remove perllocal.pod from filelist
* Mon Jun 16 2003 coolo@suse.de
- package directories
* Mon Nov 18 2002 ro@suse.de
- fixed typo in specfile
* Sun Nov 17 2002 adrian@suse.de
- initial package of perl-Text-Iconv 1.2 (needed for gift)
